%define version 3.0.1
%define release 2mdk

Summary: An improved FTP client.
Name: ncftp
Version: %{version}
Release: %{release}
Copyright: Artistic
Group: Networking/File transfer
Patch0: ncftp-confirm.patch.bz2
Source0: ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

Install ncftp if you use FTP to transfer files and you'd like to try
some of ncftp's additional features.

%prep
%setup -q
%patch0 -p0 -b .confirm

%build
%configure --enable-signals
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
make prefix=$RPM_BUILD_ROOT/usr install

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu/
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(ncftp):needs="text" section="Networking/File transfer" \
title="NCFtp" command="/usr/bin/ncftp" \
description="An improved FTP client." \
icon=ftp.xpm
EOF


%post
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi

%postun
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *README WHATSNEW-3.0 COPYING
/usr/lib/menu/%{name}
/usr/bin/ncftp
/usr/bin/ncftpget
/usr/bin/ncftpput
/usr/bin/ncftpbatch
/usr/bin/ncftpls
/usr/bin/ncftpbookmarks
/usr/man/man1/ncftp.1*
/usr/man/man1/ncftpget.1*
/usr/man/man1/ncftpput.1*
/usr/man/man1/ncftpbatch.1*
/usr/man/man1/ncftpls.1*

%changelog
* Wed Apr  5 2000 Denis Havlik <denis@mandrakesoft.com> 3.0.1-2mdk
- fixed source path

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.1-1mdk
- Add menu.
- Change license to Artistic.
- spec-helper purification.
- Upgrade groups.
- 3.0.1 final (correct a lot of bugs).

* Fri Jan  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0beta21-4mdk
- sed 's/1/True/'

* Wed Jan  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0beta21-3mdk
- Oxygen Release.
- Disble confirmation in exit by default.
